import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { ListBase } from '../../libappbase/listbase';
import { ListRow } from '../../e2elib/lib/src/pageobjects/list/listrow.component';

/**
 * Inventory Cost PISP form.
 */
export class FormInventoryCostPISP extends Form {
  public lstInventoryPISP = new ListInventoryPISP();

  public constructor() {
    super('FormInventoryCostPISP');
  }
}

/**
 * Inventory PISP list in Inventory Cost PISP form.
 */
class ListInventoryPISP extends ListBase {
  public constructor() {
    super('ListInventoryPISP');
  }

  public async getPISPByName(product: string): Promise<ListRow> {
    return this.getRowByValue([{ columnID: ListColumnInventoryPISP.Product, value: product }]);
  }
}

export enum ListColumnInventoryPISP {
  Product = 'Product',
  StockingPoint = 'Stocking point',
}
